package com.tax.file.service.api;

import com.tax.file.model.TkUserUrl;
import com.tax.file.model.TkUserUrlExample;
import com.yxcheng.token.common.service.BaseServiceI;

import java.util.List;
import java.util.Map;

public interface TkUserUrlService extends BaseServiceI<TkUserUrlExample,TkUserUrl> {

    TkUserUrl getUserUrlInfo(String accessKeyId, String functionNo);
    List<TkUserUrl> getUserUrlList(String accessKeyId);
    Map<String, TkUserUrl> getUserUrlMap(String accessKeyId);
    boolean checkUrlExist(Map<String, TkUserUrl> urlMap, String functionNo);
    int flushUserUrlCache(String userName);
    boolean checkUserUrlExist(String userName, String functionNo);
    TkUserUrl getUserUrl(String userName, String functionNo);

}